import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const height = +svg.attr('height');
const width = +svg.attr('width');

const render = () => {
  fruitBowl(svg, {fruits, height})
}

const makeFruit = type => ({type});
const fruits = range(5).map(() => makeFruit('apple'));

render();

setTimeout(() => { 
  fruits.pop(); 
  render();
}, 1000);

setTimeout(() => { 
  fruits[2].type = 'lemon'; 
  render();
}, 2000);
